#include <stdio.h>
#include <stdlib.h>
#include "properties.h"
#include "karma.h"
#include "playlist.h"

int main(void){
	playlist * pl;
	uint32_t fid, fidg;
	uint32_t * tmp;
	int k,i;
	
	init_properties("iso8859-1");
	
	k=connectkarma("YOUR IP ADDRESS");
	authenticate(k, "YOUR PASSWORD");
	request_io_lock(k,IO_LOCK_R);
	
	load_database(k);
	hangup(k);
	save_properties();
	
        tmp=andOrSearch(0, NULL, "type", "playlist");
	for(i=0;tmp[i]!=0;i++){
		pl=playlist_fid_read(tmp[i]);
		printf("%i,%i,%i\n", tmp[i], playlist_count(pl), pl->length);
		for(k=0;k<playlist_count(pl);k++){
			playlist_get_item(pl, k, &fid, &fidg);
			printf("playlist %s, %i, fid %u, fid_generation %u\n", playlist_get_name(pl), k, fid, fidg);
		}
		playlist_free(&pl);
		
	}
	destroy_properties();
	free(tmp);
	
	return 0;
}
